Summary:		Al-Messammi multi file renamer
Summary(ar):		المسمي لإعادة تسمية عدة ملفات
Name:			renameall
Version:		0.2.2
Release:		1%{?dist}
License:		WAQF
URL:			https://github.com/RaaH/Al-Messammi
Source0:		renameall
Source1:		renameall.png
Source2:		renameall.desktop
Requires:		python3
Requires:		pango
Requires:		python3-gobject
BuildRequires:		desktop-file-utils
BuildArch:		noarch

%description
Al-Messammi is an one click multi file renamer.

%description -l ar
يسهّل برنامج المسمّي عملية إعادة تسمية عدة ملفات من
خلال اختصار العملية بضغطة واحدة.

%install
install -pDm0755 %{SOURCE0} %{buildroot}%{_bindir}/renameall
install -pDm0644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps/renameall.png
install -pDm0755 %{SOURCE2} %{buildroot}%{_datadir}/applications/renameall.desktop
desktop-file-install %{buildroot}%{_datadir}/applications/%{name}.desktop






# Register as an application to be visible in the software center
#
# NOTE: It would be *awesome* if this file was maintained by the upstream
# project, translated and installed into the right place during `make install`.
#
# See http://www.freedesktop.org/software/appstream/docs/ for more details.
#
mkdir -p $RPM_BUILD_ROOT%{_datadir}/appdata
cat > $RPM_BUILD_ROOT%{_datadir}/appdata/%{name}.appdata.xml <<EOF
<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 2017 Mosaab Alzoubi <moceap@hotmail.com> -->
<!--
EmailAddress: moceap@hotmail.com
SentUpstream: 2017-1-8
-->
<application>
  <id type="desktop">%{name}.desktop</id>
  <metadata_license>CC0-1.0</metadata_license>
  <summary>One click multi file renamer</summary>
  <summary xml:lang="ar">المسمي لإعادة تسمية عدة ملفات</summary>
  <description>
    <p>
	Al-Messammi is an one click multi file renamer.
    </p>
  </description>
  <description xml:lang="ar">
    <p>
	يسهّل برنامج المسمّي عملية إعادة تسمية عدة ملفات من
	خلال اختصار العملية بضغطة واحدة.
    </p>
  </description>
  <url type="homepage">https://github.com/RaaH/Al-Messammi</url>
  <screenshots>
    <screenshot type="default">http://ojuba.org/screenshots/%{name}.png</screenshot>
  </screenshots>
  <updatecontact>moceap@hotmail.com</updatecontact>
</application>
EOF





%files
%{_bindir}/renameall
%{_datadir}/applications/renameall.desktop
%{_datadir}/pixmaps/renameall.png
%{_datadir}/appdata/%{name}.appdata.xml

%changelog
* Wed Jan 11 2017 Mosaab Alzoubi <moceap@hotmail.com> - 0.2.2-1
- Update to 0.2.2
- Add appdata

* Sat Nov 26 2016 Mosaab Alzoubi <moceap@hotmail.com> - 0.1-3
- Rebuilt for Fedora 25

* Sun Aug 9 2015 Mosaab Alzoubi <moceap@hotmail.com> - 0.1-2
- Noarched

* Sun Aug 9 2015 Mosaab Alzoubi <moceap@hotmail.com> - 0.1-1
- Initial build
